Subject: Re: Ticket #82939
From: Anush Saxena <[email-masked]>
To: Pritish Nandi <[email-masked]>
Date: Mon, 30 Sep 2019 02:26:26 -0700 (MST)

#82939 

Sorry for the wrong ticket number :P 

From: "Anush Saxena" <[email-masked]> 
To: "Pritish Nandi" <[email-masked]> 
Sent: Monday, September 30, 2019 2:54:13 PM 
Subject: Ticket #82519 

Hi Romee, 

Thanks for the prompt reply. 

As the tracking status states that the product has been already delivered, I'd suggest you to please check with your neighborhood if they have seen any product delivered at your doorstep or check with the local post office as if the product hasn't been received by you. 

Please note that the shipping is done by USPS and it's totally out of our control. So, I'd suggest you to please check with USPS as well if they've delivered your order to you. 

However, if you're still unable to receive your package, please get back to us and we'll help you out with the best possible solution. 

I look forward to your reply and will be more than happy to assist.